diff --git a/DE.pm b/DE.pm
index e3eb040..e341ef6 100644
--- a/DE.pm
+++ b/DE.pm
@@ -35,6 +35,7 @@ sub holidays{
 	# romo  = Rosenmontag
 	# fadi  = Faschingsdienstag
 	# asmi  = Aschermittwoch
+	# frau  = Internationaler Frauentag
 	# grdo  = Gruendonnerstag
 	# karf  = Karfreitag
 	# kars  = Karsamstag
@@ -45,6 +46,8 @@ sub holidays{
 	# himm  = Himmelfahrtstag
 	# fron  = Fronleichnam
 	# 1mai  = Maifeiertag
+	# 8mai  = Jahrestag der Befreiung vom Nationalsozialismus und der
+	#			Beendigung des Zweiten Weltkriegs in Europa
 	# 17ju  = Tag der deutschen Einheit (>= 1954, <= 1990)
 	# frie  = Augsburger Friedensfest
 	# mari  = Mariae Himmelfahrt
@@ -112,6 +115,12 @@ sub holidays{
 
 	# Extras for Berlin
 	@{$holidays{'be'}} = qw();
+	if ($year >= 2019) {
+		push @{$holidays{'be'}}, qw(frau);
+	}
+	if ($year == 2020) {
+		push @{$holidays{'be'}}, qw(8mai);
+	}
 
 	# Extras for Brandenburg
 	@{$holidays{'bb'}} = qw(osts pfis refo);
@@ -173,9 +182,15 @@ sub holidays{
 	# Heilige 3 Koenige Jan 6
 	$holiday{'hl3k'} = _date2timestamp($year,  1,  6);
 
+	# International Women's Day Mar 8
+	$holiday{'frau'} = _date2timestamp($year,  3,  8);
+
 	# First of May
 	$holiday{'1mai'} = _date2timestamp($year,  5,  1);
 
+	# End of World War II in Europe May 8
+	$holiday{'8mai'} = _date2timestamp($year,  5,  8);
+
 	# Christmas eve and Christmas Dec 24-26
 	$holiday{'heil'} = _date2timestamp($year, 12, 24);
 	$holiday{'wei1'} = _date2timestamp($year, 12, 25);
@@ -394,6 +409,7 @@ The module knows about the following holidays:
   romo  Rosenmontag                 Carnival monday
   fadi  Faschingsdienstag           Shrove tuesday
   asmi  Aschermittwoch              Ash wednesday
+  frau  Internationaler Frauentag   International Women's Day
   grdo  Gruendonnerstag             Maundy Thursday
   karf  Karfreitag                  Good friday
   kars  Karsamstag                  Holy Saturday
@@ -404,6 +420,9 @@ The module knows about the following holidays:
   himm  Himmelfahrtstag             Ascension day
   fron  Fronleichnam                Corpus christi
   1mai  Maifeiertag                 Labor day, German style
+  8mai  Ende zweiter Weltkrieg      End of World War II in Europe
+        Full name: Jahrestag der Befreiung vom Nationalsozialismus und
+        der Beendigung des Zweiten Weltkriegs in Europa
   17ju  Tag der deutschen Einheit   Reunion day (>= 1954, <= 1990)
   frie  Augsburger Friedensfest     Augsburg peace day
   mari  Mariae Himmelfahrt          Assumption day
diff --git a/example/feiertage.pl b/example/feiertage.pl
index 099bc8f..d1da23c 100755
--- a/example/feiertage.pl
+++ b/example/feiertage.pl
@@ -14,6 +14,7 @@ my %feiertagsnamen = (
 		'romo' => 'Rosenmontag',
 		'fadi' => 'Faschingsdienstag',
 		'asmi' => 'Aschermittwoch',
+		'frau' => 'Frauentag',
 		'grdo' => 'Gruendonnerstag',
 		'karf' => 'Karfreitag',
 		'kars' => 'Karsamstag',
@@ -24,6 +25,7 @@ my %feiertagsnamen = (
 		'himm' => 'Himmelfahrtstag',
 		'fron' => 'Fronleichnam',
 		'1mai' => 'Maifeiertag',
+		'8mai' => 'Ende zweiter Weltkrieg',
 		'17ju' => 'Tag der deutschen Einheit (1954-1990)',
 		'mari' => 'Mariae Himmelfahrt',
 		'frie' => 'Augsburger Friedensfest (regional)',
